#include <bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    vector<long long> a(n);
    vector<long long> b(n);
    for(int i = 0;i < n;i++) cin >> a[i];
    for(int j = 0;j < n;j++) cin >> b[j];

    long long p = a[0] * b[0];
    for(int i = 1;i < n;i++){
        long long a1 = a[i], b1 = b[i];
        p = max(p, a1*b1);
        for(int j = i+1;j < n;j++){
            a1 = a1 ^ a[j];
            b1 = b1 & b[j];
            p = max(p, a1 * b1);
        }
    }
    cout << p;
}